Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPiecewiseFunctionToPiecewiseFunctionFilter Class Reference

`#include <vtkPiecewiseFunctionToPiecewiseFunctionFilter.h>`

Inheritance diagram for vtkPiecewiseFunctionToPiecewiseFunctionFilter:

[legend]
Collaboration diagram for vtkPiecewiseFunctionToPiecewiseFunctionFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.2

vtkPiecewiseFunctionToPiecewiseFunctionFilter is an abstract filter class whose subclasses take as input a piecewise function and generate a piecewise function on output.

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (83%)
  - Cedilnik, Andy (16%)

CVS logs (CVSweb):
  - .`h` (`/Filtering/vtkPiecewiseFunctionToPiecewiseFunctionFilter.h)`
  - .`cxx` (`/Filtering/vtkPiecewiseFunctionToPiecewiseFunctionFilter.cxx)`

Definition at line 45 of file vtkPiecewiseFunctionToPiecewiseFunctionFilter.h.

## Public Types
typedef vtkPiecewiseFunctionSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkPiecewiseFunction *input)
vtkPiecewiseFunction * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkPiecewiseFunctionToPiecewiseFunctionFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPiecewiseFunctionToPiecewiseFunctionFilter ()
| ~vtkPiecewiseFunctionToPiecewiseFunctionFilter ()

## Member Typedef Documentation

typedef vtkPiecewiseFunctionSource vtkPiecewiseFunctionToPiecewiseFunctionFilter::Superclass

| Reimplemented from vtkPiecewiseFunctionSource. Reimplemented in vtkPiecewiseFunctionShiftScale. Definition at line 48 of file vtkPiecewiseFunctionToPiecewiseFunctionFilter.h.

## Constructor & Destructor Documentation

vtkPiecewiseFunctionToPiecewiseFunctionFilter::vtkPiecewiseFunctionToPiecewiseFunctionFilter | ( |  | ) | `[protected]`

vtkPiecewiseFunctionToPiecewiseFunctionFilter::~vtkPiecewiseFunctionToPiecewiseFunctionFilter | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkPiecewiseFunctionToPiecewiseFunctionFilter.h.

## Member Function Documentation

virtual const char* vtkPiecewiseFunctionToPiecewiseFunctionFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPiecewiseFunctionSource. Reimplemented in vtkPiecewiseFunctionShiftScale.

int vtkPiecewiseFunctionToPiecewiseFunctionFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPiecewiseFunctionSource. Reimplemented in vtkPiecewiseFunctionShiftScale.

virtual int vtkPiecewiseFunctionToPiecewiseFunctionFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPiecewiseFunctionSource. Reimplemented in vtkPiecewiseFunctionShiftScale.

vtkPiecewiseFunctionToPiecewiseFunctionFilter* vtkPiecewiseFunctionToPiecewiseFunctionFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPiecewiseFunctionSource. Reimplemented in vtkPiecewiseFunctionShiftScale.

void vtkPiecewiseFunctionToPiecewiseFunctionFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPiecewiseFunctionSource. Reimplemented in vtkPiecewiseFunctionShiftScale.

virtual void vtkPiecewiseFunctionToPiecewiseFunctionFilter::SetInput | ( | vtkPiecewiseFunction * | input | ) | `[virtual]`

| Set / get the input data or filter.

vtkPiecewiseFunction* vtkPiecewiseFunctionToPiecewiseFunctionFilter::GetInput | ( |  | ) |

| Set / get the input data or filter.

The documentation for this class was generated from the following file:

- Filtering/vtkPiecewiseFunctionToPiecewiseFunctionFilter.h